#
# spec file for package pianobooster
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#


Name:           pianobooster
Version:        0.6.4b
Release:        lp150.5.1
License:        GPL-3.0+
Summary:        Boost your Piano playing skills
Url:            http://pianobooster.sourceforge.net/
Group:          Productivity/Multimedia/Sound/Midi
Source0:        %{name}-src-%{version}.tar.bz2
Source1:        %name.desktop
Source2:        pianobooster.png
Source3:        pianobooster.6
Source4:        README.RtMidi
# PATCH-FIX-UPSTREAM -- add missing -lGL to the linker call
Patch0:         pianobooster-linker_flags.patch
# PATCH-FIX-UPSTREAM -- add translations
Patch1:         i18n.patch
# PATCH-FIX-openSUSE -- support RtMidi
Patch2:         rtmidi-1.0.15.patch
BuildRequires:  alsa-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel
%if 0%{?suse_version} > 1220
BuildRequires:  Mesa-libGLU-devel
%endif
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Vendor:         openSUSE-Education

%description
PianoBooster is a fun way of playing along with a musical accompaniment and at
the same time learning the basics of reading musical notation. The difference
between playing along to a CD or a standard MIDI file, is that PianoBooster
listens and reacts to what you are playing on a MIDI keyboard.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
install -m 0644 %{SOURCE4} .

%build
cd build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
cmake ../src
make %{?jobs:-j %jobs}

%install
mkdir -p %{buildroot}%{_bindir}
install -m755 build/pianobooster %{buildroot}%{_bindir}/
install -Dm644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/pianobooster.png
%if 0%{?suse_version}
%suse_update_desktop_file -i %name AudioVideo Sequencer
%else
install -Dm0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif
# fix encoding
for file in README.txt license.txt ; do
	sed -i "s|$||" $file
done
install -D -m0644 %{SOURCE3} %{buildroot}/%{_mandir}/man6/%{name}.6

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc gplv3.txt license.txt README.txt src/ReleaseNote.txt README.RtMidi
%{_mandir}/man6/%{name}.6*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/pianobooster.png

%changelog
* Tue Mar 12 2013 behrisch@users.sourceforge.net
- fixing glu dependencies for openSuse 12.3
* Tue Feb 14 2012 lars@linux-schulserver.de
- update to 0.6.4
- added pianobooster-linker_flags.patch to all missing global
  libs to the linker
- license in spdx format
- added two patches from Debian:
  + i18n.patch adds Galician and Spanish translation
  + rtmidi-1.0.15.patch embeds RtMidi (incl. license README)
- added manpage from Debian
* Sun Aug 30 2009 lars@linux-schulserver.de
- update to 0.6.2
